
Generates the static Pod manifest file for a local, single-node etcd instance

### Synopsis


Generates the static Pod manifest file for a local, single-node etcd instance and saves it to /etc/kubernetes/manifests/etcd.yaml file. 

Alpha Disclaimer: this command is currently alpha.

```
kubeadm alpha phase etcd local [flags]
```

### Examples

```
  # Generates the static Pod manifest file for etcd, functionally
  # equivalent to what generated by kubeadm init.
  kubeadm alpha phase etcd local
  
  #  Generates the static Pod manifest file for etcd.
  kubeadm alpha phase etcd local --config masterconfiguration.yaml
```

### Options

<table style="width: 100%; table-layout: fixed;">
  <colgroup>
    <col span="1" style="width: 10px;" />
    <col span="1" />
  </colgroup>
  <tbody>

    <tr>
      <td colspan="2">--cert-dir string&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default: "/etc/kubernetes/pki"</td>
    </tr>
    <tr>
      <td></td><td style="line-height: 130%; word-wrap: break-word;">The path where certificates are stored</td>
    </tr>

    <tr>
      <td colspan="2">--config string</td>
    </tr>
    <tr>
      <td></td><td style="line-height: 130%; word-wrap: break-word;">Path to kubeadm config file. WARNING: Usage of a configuration file is experimental</td>
    </tr>

    <tr>
      <td colspan="2">-h, --help</td>
    </tr>
    <tr>
      <td></td><td style="line-height: 130%; word-wrap: break-word;">help for local</td>
    </tr>

  </tbody>
</table>



